OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXCAF
XCAFDoc

# XCAFDoc_Centroid Class Reference

`#include <XCAFDoc_Centroid.hxx>`

## Public Member Functions
Standard_EXPORT | XCAFDoc_Centroid ()
| class methods =============
Standard_EXPORT void | Set (const gp_Pnt &pnt)
Standard_EXPORT gp_Pnt | Get () const
Standard_EXPORT const Standard_GUID & | ID () const
Standard_EXPORT void | Restore (const Handle(TDF_Attribute)&With)
Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const
Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&Into, const Handle(TDF_RelocationTable)&RT) const
virtual Standard_EXPORT Standard_OStream & | Dump (Standard_OStream &anOS) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Static Public Member Functions
static Standard_EXPORT const Standard_GUID & | GetID ()
static Standard_EXPORT Handle_XCAFDoc_Centroid | Set (const TDF_Label &label, const gp_Pnt &pnt)
| Find, or create, a Location attribute and set it's value the Location attribute is returned. //! Location methods =============== .
static Standard_EXPORT Standard_Boolean | Get (const TDF_Label &label, gp_Pnt &pnt)
| Returns point as argument returns false if no such attribute at the <label> .
## Private Attributes
gp_Pnt | myCentroid

## Constructor & Destructor Documentation

Standard_EXPORT XCAFDoc_Centroid::XCAFDoc_Centroid | ( |  | ) |

## Member Function Documentation

virtual Standard_EXPORT Standard_OStream& XCAFDoc_Centroid::Dump | ( | Standard_OStream & | anOS | ) | const`[virtual]`

static Standard_EXPORT Standard_Boolean XCAFDoc_Centroid::Get | ( | const TDF_Label & | label,
|  | gp_Pnt & | pnt
| ) | `[static]`

Standard_EXPORT gp_Pnt XCAFDoc_Centroid::Get | ( |  | ) | const

static Standard_EXPORT const Standard_GUID& XCAFDoc_Centroid::GetID | ( |  | ) | `[static]`

Standard_EXPORT const XCAFDoc_Centroid::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT const Standard_GUID& XCAFDoc_Centroid::ID | ( |  | ) | const

Standard_EXPORT Handle_TDF_Attribute XCAFDoc_Centroid::NewEmpty | ( |  | ) | const

Standard_EXPORT void XCAFDoc_Centroid::Paste | ( | const Handle(TDF_Attribute)& | Into,
|  | const Handle(TDF_RelocationTable)& | RT
| ) | const

Standard_EXPORT void XCAFDoc_Centroid::Restore | ( | const Handle(TDF_Attribute)& | With | ) |

Standard_EXPORT void XCAFDoc_Centroid::Set | ( | const gp_Pnt & | pnt | ) |

static Standard_EXPORT Handle_XCAFDoc_Centroid XCAFDoc_Centroid::Set | ( | const TDF_Label & | label,
|  | const gp_Pnt & | pnt
| ) | `[static]`

## Field Documentation

gp_Pnt XCAFDoc_Centroid::myCentroid`[private]`

The documentation for this class was generated from the following file:

- XCAFDoc_Centroid.hxx